Subject: bug#45518: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile in Emacs 27.1

From: Michael Albinus <[email-masked]>
Date: Mon, 11 Jan 2021 11:58:25 +0100

Duncan Greatwood <[email-masked]> writes:

> Michael -

Hi Duncan,

> This is what I did:

Thanks for the recipe. Today, I found the time to apply.

> Now *in gui emacs*, from a mac machine using Tramp, open
> amhello-master/src/test.cpp remotely (using tramp) on the remote linux
> machine.
> With that remote test.cpp open, In emacs, do
>     M-compile
>     Use the compile command: make -k
>
> Tramp window hangs
>
> I was using my macbook laptop for the GUI-emacs-with-tramp, and ubuntu
> for the target linux machine. I was using emacs 26.2 gui-mode, but no
> reason to suppose it varies with other emacs versions.
>
> I did try it with a Linux laptop, running emacs-gui (26.3) and tramp
> to connect to the remote Linux host. However, in that case the issue
> did *not* reproduce for me, at least using this method. Perhaps
> emacs/tramp must be running from a mac for the issue to show up.

Well my local machine running Emacs is Fedora 33. And, as expected, make -k
didn't hang :-(

Since I have no macOS machine, I fear I cannot debug the problem.

> Hope this helps.
> Thanks once more.
> Duncan

Best regards, Michael.